<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="04a8c77d081f041c" weblate-flags="safe-html, strict-same">
        <source>= Uses-allocator Construction To support code bases which are already using polymorphic allocators, the containers in this library support {std_uses_allocator} construction. For &lt;&lt;ref_array&gt;&gt;, &lt;&lt;ref_object&gt;&gt;, &lt;&lt;ref_string&gt;&gt;, and &lt;&lt;ref_value&gt;&gt;:</source>
        <target state="translated">= 使用分配器构造 为支持已使用多态分配器的代码库，本库中的容器支持 {std_uses_allocator} 构造。对于 &amp;lt;&lt;ref_array&gt;&amp;gt;, &amp;lt;&lt;ref_object&gt;&amp;gt;, &amp;lt;&lt;ref_string&gt;&amp;gt; 和 &amp;lt;&lt;ref_value&gt;&amp;gt;：&lt;/ref_value&gt;&lt;/ref_string&gt;&lt;/ref_object&gt;&lt;/ref_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">12</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a613c1dd0237834b" weblate-flags="safe-html, strict-same">
        <source>The nested type `allocator_type` is an alias for</source>
        <target state="translated">嵌套类型 `allocator_type` 是</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">17</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9074c55303aa628d" weblate-flags="safe-html, strict-same">
        <source>a {ref_polymorphic_allocator}.</source>
        <target state="translated">{ref_polymorphic_allocator}的别名。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="14a4e1f3faf0dc82" weblate-flags="safe-html, strict-same">
        <source>All eligible constructors which accept &lt;&lt;ref_storage_ptr&gt;&gt; will also accept</source>
        <target state="translated">所有接受 &amp;lt;&lt;ref_storage_ptr&gt;&amp;gt; 的合格构造函数，也将&lt;/ref_storage_ptr&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">20</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1651d469dfad1d24" weblate-flags="safe-html, strict-same">
        <source>an instance of {ref_polymorphic_allocator} in the same argument position.</source>
        <target state="translated">在相同参数位置接受一个 {ref_polymorphic_allocator} 实例。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b3c5904f0dbf164" weblate-flags="safe-html, strict-same">
        <source>The member function `get_allocator` returns an instance of</source>
        <target state="translated">成员函数 `get_allocator` 返回一个</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="62cb52be912b563a" weblate-flags="safe-html, strict-same">
        <source>{ref_polymorphic_allocator} constructed from the {ref_memory_resource} used by the container. Ownership of this memory resource is not transferred.</source>
        <target state="translated">由容器所使用的 {ref_memory_resource} 构造的 {ref_polymorphic_allocator} 实例。该内存资源的所有权不会被转移。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">24</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2bce6cc5d1fd2a5f" weblate-flags="safe-html, strict-same">
        <source>Practically, this means that when a library container type is used in a standard container that uses a polymorphic allocator, the allocator will propagate to the JSON type. For example:</source>
        <target state="translated">实际上，这意味着当库中的容器类型被用在使用多态分配器的标准容器中时，该分配器会传播到 JSON 类型。例如：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5a1dfd8b6fc92c0d" weblate-flags="safe-html, strict-same">
        <source>Library containers can be constructed from polymorphic allocators:</source>
        <target state="translated">库容器可以从多态分配器构造：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8bfbcf4ee70c2d43" weblate-flags="safe-html, strict-same">
        <source>The polymorphic allocator is propagated recursively. Child elements of child elements will use the same memory resource as the parent.</source>
        <target state="translated">多态分配器会递归传播。子元素的子元素将使用与父元素相同的内存资源。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">43</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
